public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/rust/
Date: Wed, 25 Nov 2020 20:17:46 +0000 (UTC)	[thread overview]
Message-ID: <1606335194.e0899133bf373f531be502ed292a86e16a7b6347.gyakovlev@gentoo> (raw)

commit:     e0899133bf373f531be502ed292a86e16a7b6347
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 25 19:06:20 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Wed Nov 25 20:13:14 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0899133

dev-lang/rust: revbump 1.47.0, fix several issues

Don't depend on system libgit2 to avoid abi nightmare.

Bug: https://bugs.gentoo.org/749381
Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 dev-lang/rust/rust-1.47.0-r2.ebuild | 615 ++++++++++++++++++++++++++++++++++++
 1 file changed, 615 insertions(+)

diff --git a/dev-lang/rust/rust-1.47.0-r2.ebuild b/dev-lang/rust/rust-1.47.0-r2.ebuild
new file mode 100644
index 00000000000..094392399be
--- /dev/null
+++ b/dev-lang/rust/rust-1.47.0-r2.ebuild
@@ -0,0 +1,615 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit bash-completion-r1 check-reqs estack flag-o-matic llvm multiprocessing multilib-build python-any-r1 rust-toolchain toolchain-funcs
+
+if [[ ${PV} = *beta* ]]; then
+	betaver=${PV//*beta}
+	BETA_SNAPSHOT="${betaver:0:4}-${betaver:4:2}-${betaver:6:2}"
+	MY_P="rustc-beta"
+	SLOT="beta/${PV}"
+	SRC="${BETA_SNAPSHOT}/rustc-beta-src.tar.xz -> rustc-${PV}-src.tar.xz"
+else
+	ABI_VER="$(ver_cut 1-2)"
+	SLOT="stable/${ABI_VER}"
+	MY_P="rustc-${PV}"
+	SRC="${MY_P}-src.tar.xz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+fi
+
+RUST_STAGE0_VERSION="1.$(($(ver_cut 2) - 1)).0"
+
+DESCRIPTION="Systems programming language from Mozilla"
+HOMEPAGE="https://www.rust-lang.org/"
+
+SRC_URI="
+	https://static.rust-lang.org/dist/${SRC}
+	!system-bootstrap? ( $(rust_all_arch_uris rust-${RUST_STAGE0_VERSION}) )
+"
+
+# keep in sync with llvm ebuild of the same version as bundled one.
+ALL_LLVM_TARGETS=( AArch64 AMDGPU ARM AVR BPF Hexagon Lanai Mips MSP430
+	NVPTX PowerPC RISCV Sparc SystemZ WebAssembly X86 XCore )
+ALL_LLVM_TARGETS=( "${ALL_LLVM_TARGETS[@]/#/llvm_targets_}" )
+LLVM_TARGET_USEDEPS=${ALL_LLVM_TARGETS[@]/%/?}
+
+LICENSE="|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA"
+
+IUSE="clippy cpu_flags_x86_sse2 debug doc libressl miri nightly parallel-compiler rls rustfmt +system-bootstrap system-llvm test wasm ${ALL_LLVM_TARGETS[*]}"
+
+# Please keep the LLVM dependency block separate. Since LLVM is slotted,
+# we need to *really* make sure we're not pulling more than one slot
+# simultaneously.
+
+# How to use it:
+# 1. List all the working slots (with min versions) in ||, newest first.
+# 2. Update the := to specify *max* version, e.g. < 12.
+# 3. Specify LLVM_MAX_SLOT, e.g. 11.
+LLVM_DEPEND="
+	|| (
+		sys-devel/llvm:11[${LLVM_TARGET_USEDEPS// /,}]
+	)
+	<sys-devel/llvm-12:=
+	wasm? ( sys-devel/lld )
+"
+LLVM_MAX_SLOT=11
+
+# to bootstrap we need at least exactly previos version, or same.
+# most of the time previous versions fail to bootstrap with newer
+# for example 1.47.x, requires at least 1.46.x, 1.47.x is ok,
+# but it fails to bootstrap with 1.48.x
+# https://github.com/rust-lang/rust/blob/${PV}/src/stage0.txt
+BOOTSTRAP_DEPEND="||
+	(
+		=dev-lang/rust-$(ver_cut 1).$(($(ver_cut 2) - 1))*
+		=dev-lang/rust-bin-$(ver_cut 1).$(($(ver_cut 2) - 1))*
+		=dev-lang/rust-$(ver_cut 1).$(ver_cut 2)*
+		=dev-lang/rust-bin-$(ver_cut 1).$(ver_cut 2)*
+	)
+"
+
+BDEPEND="${PYTHON_DEPS}
+	app-eselect/eselect-rust
+	|| (
+		>=sys-devel/gcc-4.7
+		>=sys-devel/clang-3.5
+	)
+	system-bootstrap? ( ${BOOTSTRAP_DEPEND} )
+	!system-llvm? (
+		dev-util/cmake
+		dev-util/ninja
+	)
+"
+
+DEPEND="
+	>=app-arch/xz-utils-5.2
+	net-misc/curl:=[http2,ssl]
+	sys-libs/zlib:=
+	!libressl? ( dev-libs/openssl:0= )
+	libressl? ( dev-libs/libressl:0= )
+	elibc_musl? ( sys-libs/libunwind:= )
+	system-llvm? (
+		${LLVM_DEPEND}
+	)
+"
+
+# we need to block older versions due to layout changes.
+RDEPEND="${DEPEND}
+	app-eselect/eselect-rust
+	!<dev-lang/rust-1.46.0
+	!<dev-lang/rust-bin-1.46.0
+"
+
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )
+	miri? ( nightly )
+	parallel-compiler? ( nightly )
+	test? ( ${ALL_LLVM_TARGETS[*]} )
+	wasm? ( llvm_targets_WebAssembly )
+	x86? ( cpu_flags_x86_sse2 )
+"
+
+# we don't use cmake.eclass, but can get a warnings
+CMAKE_WARN_UNUSED_CLI=no
+
+QA_FLAGS_IGNORED="
+	usr/lib/${PN}/${PV}/bin/.*
+	usr/lib/${PN}/${PV}/lib/lib.*.so
+	usr/lib/${PN}/${PV}/lib/rustlib/.*/bin/.*
+	usr/lib/${PN}/${PV}/lib/rustlib/.*/lib/lib.*.so
+"
+
+QA_SONAME="
+	usr/lib/${PN}/${PV}/lib/lib.*.so.*
+	usr/lib/${PN}/${PV}/lib/rustlib/.*/lib/lib.*.so
+"
+
+# causes double bootstrap
+RESTRICT="test"
+
+PATCHES=(
+	"${FILESDIR}"/1.47.0-libressl.patch
+	"${FILESDIR}"/1.46.0-don-t-create-prefix-at-time-of-check.patch
+	"${FILESDIR}"/1.47.0-ignore-broken-and-non-applicable-tests.patch
+	"${FILESDIR}"/1.47.0-llvm-tensorflow-fix.patch
+	"${FILESDIR}"/gentoo-musl-target-specs.patch
+)
+
+S="${WORKDIR}/${MY_P}-src"
+
+toml_usex() {
+	usex "${1}" true false
+}
+
+boostrap_rust_version_check() {
+	# never call from pkg_pretend. eselect-rust may be not installed yet.
+	[[ ${MERGE_TYPE} == binary ]] && return
+	local rustc_wanted="$(ver_cut 1).$(($(ver_cut 2) - 1))"
+	local rustc_toonew="$(ver_cut 1).$(($(ver_cut 2) + 1))"
+	local rustc_version=( $(eselect --brief rust show 2>/dev/null) )
+	rustc_version=${rustc_version[0]#rust-bin-}
+	rustc_version=${rustc_version#rust-}
+
+	[[ -z "${rustc_version}" ]] && die "Failed to determine rust version, check 'eselect rust' output"
+
+	if ver_test "${rustc_version}" -lt "${rustc_wanted}" ; then
+		eerror "Rust >=${rustc_wanted} is required"
+		eerror "please run 'eselect rust' and set correct rust version"
+		die "selected rust version is too old"
+	elif ver_test "${rustc_version}" -ge "${rustc_toonew}" ; then
+		eerror "Rust <${rustc_toonew} is required"
+		eerror "please run 'eselect rust' and set correct rust version"
+		die "selected rust version is too new"
+	else
+		einfo "Using rust ${rustc_version} to build"
+	fi
+}
+
+pre_build_checks() {
+	local M=6144
+	M=$(( $(usex clippy 128 0) + ${M} ))
+	M=$(( $(usex miri 128 0) + ${M} ))
+	M=$(( $(usex rls 512 0) + ${M} ))
+	M=$(( $(usex rustfmt 256 0) + ${M} ))
+	M=$(( $(usex system-llvm 0 2048) + ${M} ))
+	M=$(( $(usex wasm 256 0) + ${M} ))
+	M=$(( $(usex debug 15 10) * ${M} / 10 ))
+	eshopts_push -s extglob
+	if is-flagq '-g?(gdb)?([1-9])'; then
+		M=$(( 15 * ${M} / 10 ))
+	fi
+	eshopts_pop
+	M=$(( $(usex system-bootstrap 0 1024) + ${M} ))
+	M=$(( $(usex doc 256 0) + ${M} ))
+	CHECKREQS_DISK_BUILD=${M}M check-reqs_pkg_${EBUILD_PHASE}
+}
+
+pkg_pretend() {
+	pre_build_checks
+}
+
+pkg_setup() {
+	pre_build_checks
+	python-any-r1_pkg_setup
+
+	export LIBGIT2_NO_PKG_CONFIG=1 #749381
+
+	use system-bootstrap && boostrap_rust_version_check
+
+	if use system-llvm; then
+		llvm_pkg_setup
+
+		local llvm_config="$(get_llvm_prefix "$LLVM_MAX_SLOT")/bin/llvm-config"
+		export LLVM_LINK_SHARED=1
+		export RUSTFLAGS="${RUSTFLAGS} -Lnative=$("${llvm_config}" --libdir)"
+	fi
+}
+
+src_prepare() {
+	if ! use system-bootstrap; then
+		local rust_stage0_root="${WORKDIR}"/rust-stage0
+		local rust_stage0="rust-${RUST_STAGE0_VERSION}-$(rust_abi)"
+
+		"${WORKDIR}/${rust_stage0}"/install.sh --disable-ldconfig \
+			--destdir="${rust_stage0_root}" --prefix=/ || die
+	fi
+
+	default
+}
+
+src_configure() {
+	local rust_target="" rust_targets="" arch_cflags
+
+	# Collect rust target names to compile standard libs for all ABIs.
+	for v in $(multilib_get_enabled_abi_pairs); do
+		rust_targets="${rust_targets},\"$(rust_abi $(get_abi_CHOST ${v##*.}))\""
+	done
+	if use wasm; then
+		rust_targets="${rust_targets},\"wasm32-unknown-unknown\""
+		if use system-llvm; then
+			# un-hardcode rust-lld linker for this target
+			# https://bugs.gentoo.org/715348
+			sed -i '/linker:/ s/rust-lld/wasm-ld/' src/librustc_target/spec/wasm32_base.rs || die
+		fi
+	fi
+	rust_targets="${rust_targets#,}"
+
+	local tools="\"cargo\","
+	if use clippy; then
+		tools="\"clippy\",$tools"
+	fi
+	if use miri; then
+		tools="\"miri\",$tools"
+	fi
+	if use rls; then
+		tools="\"rls\",\"analysis\",\"src\",$tools"
+	fi
+	if use rustfmt; then
+		tools="\"rustfmt\",$tools"
+	fi
+
+	local rust_stage0_root
+	if use system-bootstrap; then
+		rust_stage0_root="$(rustc --print sysroot)"
+	else
+		rust_stage0_root="${WORKDIR}"/rust-stage0
+	fi
+
+	rust_target="$(rust_abi)"
+
+	cat <<- _EOF_ > "${S}"/config.toml
+		[llvm]
+		optimize = $(toml_usex !debug)
+		release-debuginfo = $(toml_usex debug)
+		assertions = $(toml_usex debug)
+		ninja = true
+		targets = "${LLVM_TARGETS// /;}"
+		experimental-targets = ""
+		link-shared = $(toml_usex system-llvm)
+		[build]
+		build = "${rust_target}"
+		host = ["${rust_target}"]
+		target = [${rust_targets}]
+		cargo = "${rust_stage0_root}/bin/cargo"
+		rustc = "${rust_stage0_root}/bin/rustc"
+		docs = $(toml_usex doc)
+		compiler-docs = $(toml_usex doc)
+		submodules = false
+		python = "${EPYTHON}"
+		locked-deps = true
+		vendor = true
+		extended = true
+		tools = [${tools}]
+		verbose = 2
+		sanitizers = false
+		profiler = false
+		cargo-native-static = false
+		[install]
+		prefix = "${EPREFIX}/usr/lib/${PN}/${PV}"
+		sysconfdir = "etc"
+		docdir = "share/doc/rust"
+		bindir = "bin"
+		libdir = "lib"
+		mandir = "share/man"
+		[rust]
+		# https://github.com/rust-lang/rust/issues/54872
+		codegen-units-std = 1
+		optimize = true
+		debug = $(toml_usex debug)
+		debug-assertions = $(toml_usex debug)
+		debuginfo-level-rustc = 0
+		backtrace = true
+		incremental = false
+		default-linker = "$(tc-getCC)"
+		parallel-compiler = $(toml_usex parallel-compiler)
+		channel = "$(usex nightly nightly stable)"
+		rpath = false
+		verbose-tests = true
+		optimize-tests = $(toml_usex !debug)
+		codegen-tests = true
+		dist-src = false
+		remap-debuginfo = true
+		lld = $(usex system-llvm false $(toml_usex wasm))
+		backtrace-on-ice = true
+		jemalloc = false
+		[dist]
+		src-tarball = false
+	_EOF_
+
+	for v in $(multilib_get_enabled_abi_pairs); do
+		rust_target=$(rust_abi $(get_abi_CHOST ${v##*.}))
+		arch_cflags="$(get_abi_CFLAGS ${v##*.})"
+
+		cat <<- _EOF_ >> "${S}"/config.env
+			CFLAGS_${rust_target}=${arch_cflags}
+		_EOF_
+
+		cat <<- _EOF_ >> "${S}"/config.toml
+			[target.${rust_target}]
+			cc = "$(tc-getBUILD_CC)"
+			cxx = "$(tc-getBUILD_CXX)"
+			linker = "$(tc-getCC)"
+			ar = "$(tc-getAR)"
+		_EOF_
+		# librustc_target/spec/linux_musl_base.rs sets base.crt_static_default = true;
+		if use elibc_musl; then
+			cat <<- _EOF_ >> "${S}"/config.toml
+				crt-static = false
+			_EOF_
+		fi
+		if use system-llvm; then
+			cat <<- _EOF_ >> "${S}"/config.toml
+				llvm-config = "$(get_llvm_prefix "${LLVM_MAX_SLOT}")/bin/llvm-config"
+			_EOF_
+		fi
+	done
+	if use wasm; then
+		cat <<- _EOF_ >> "${S}"/config.toml
+			[target.wasm32-unknown-unknown]
+			linker = "$(usex system-llvm lld rust-lld)"
+		_EOF_
+	fi
+
+	if [[ -n ${I_KNOW_WHAT_I_AM_DOING_CROSS} ]]; then # whitespace intentionally shifted below
+	# experimental cross support
+	# discussion: https://bugs.gentoo.org/679878
+	# TODO: c*flags, clang, system-llvm, cargo.eclass target support
+	# it would be much better if we could split out stdlib
+	# complilation to separate ebuild and abuse CATEGORY to
+	# just install to /usr/lib/rustlib/<target>
+
+	# extra targets defined as a bash array
+	# spec format:  <LLVM target>:<rust-target>:<CTARGET>
+	# best place would be /etc/portage/env/dev-lang/rust
+	# Example:
+	# RUST_CROSS_TARGETS=(
+	#	"AArch64:aarch64-unknown-linux-gnu:aarch64-unknown-linux-gnu"
+	# )
+	# no extra hand holding is done, no target transformations, all
+	# values are passed as-is with just basic checks, so it's up to user to supply correct values
+	# valid rust targets can be obtained with
+	# 	rustc --print target-list
+	# matching cross toolchain has to be installed
+	# matching LLVM_TARGET has to be enabled for both rust and llvm (if using system one)
+	# only gcc toolchains installed with crossdev are checked for now.
+
+	# BUG: we can't pass host flags to cross compiler, so just filter for now
+	# BUG: this should be more fine-grained.
+	filter-flags '-mcpu=*' '-march=*' '-mtune=*'
+
+	local cross_target_spec
+	for cross_target_spec in "${RUST_CROSS_TARGETS[@]}";do
+		# extracts first element form <LLVM target>:<rust-target>:<CTARGET>
+		local cross_llvm_target="${cross_target_spec%%:*}"
+		# extracts toolchain triples, <rust-target>:<CTARGET>
+		local cross_triples="${cross_target_spec#*:}"
+		# extracts first element after before : separator
+		local cross_rust_target="${cross_triples%%:*}"
+		# extracts last element after : separator
+		local cross_toolchain="${cross_triples##*:}"
+		use llvm_targets_${cross_llvm_target} || die "need llvm_targets_${cross_llvm_target} target enabled"
+		command -v ${cross_toolchain}-gcc > /dev/null 2>&1 || die "need ${cross_toolchain} cross toolchain"
+
+		cat <<- _EOF_ >> "${S}"/config.toml
+			[target.${cross_rust_target}]
+			cc = "${cross_toolchain}-gcc"
+			cxx = "${cross_toolchain}-g++"
+			linker = "${cross_toolchain}-gcc"
+			ar = "${cross_toolchain}-ar"
+		_EOF_
+		if use system-llvm; then
+			cat <<- _EOF_ >> "${S}"/config.toml
+				llvm-config = "$(get_llvm_prefix "${LLVM_MAX_SLOT}")/bin/llvm-config"
+			_EOF_
+		fi
+
+		# append cross target to "normal" target list
+		# example 'target = ["powerpc64le-unknown-linux-gnu"]'
+		# becomes 'target = ["powerpc64le-unknown-linux-gnu","aarch64-unknown-linux-gnu"]'
+
+		rust_targets="${rust_targets},\"${cross_rust_target}\""
+		sed -i "/^target = \[/ s#\[.*\]#\[${rust_targets}\]#" config.toml || die
+
+		ewarn
+		ewarn "Enabled ${cross_rust_target} rust target"
+		ewarn "Using ${cross_toolchain} cross toolchain"
+		ewarn
+		if ! has_version -b 'sys-devel/binutils[multitarget]' ; then
+			ewarn "'sys-devel/binutils[multitarget]' is not installed"
+			ewarn "'strip' will be unable to strip cross libraries"
+			ewarn "cross targets will be installed with full debug information"
+			ewarn "enable 'multitarget' USE flag for binutils to be able to strip object files"
+			ewarn
+			ewarn "Alternatively llvm-strip can be used, it supports stripping any target"
+			ewarn "define STRIP=\"llvm-strip\" to use it (experimental)"
+			ewarn
+		fi
+	done
+	fi # I_KNOW_WHAT_I_AM_DOING_CROSS
+
+	einfo "Rust configured with the following settings:"
+	cat "${S}"/config.toml || die
+}
+
+src_compile() {
+	# we need \n IFS to have config.env with spaces loaded properly. #734018
+	(
+	IFS=$'\n'
+	env $(cat "${S}"/config.env) RUST_BACKTRACE=1\
+		"${EPYTHON}" ./x.py dist -vv --config="${S}"/config.toml -j$(makeopts_jobs) || die
+	)
+}
+
+src_test() {
+	# https://rustc-dev-guide.rust-lang.org/tests/intro.html
+
+	# those are basic and codegen tests.
+	local tests=(
+		codegen
+		codegen-units
+		compile-fail
+		incremental
+		mir-opt
+		pretty
+		run-make
+	)
+
+	# fails if llvm is not built with ALL targets.
+	# and known to fail with system llvm sometimes.
+	use system-llvm || tests+=( assembly )
+
+	# fragile/expensive/less important tests
+	# or tests that require extra builds
+	# TODO: instead of skipping, just make some nonfatal.
+	if [[ ${ERUST_RUN_EXTRA_TESTS:-no} != no ]]; then
+		tests+=(
+			rustdoc
+			rustdoc-js
+			rustdoc-js-std
+			rustdoc-ui
+			run-make-fulldeps
+			ui
+			ui-fulldeps
+		)
+	fi
+
+	local i failed=()
+	einfo "rust_src_test: enabled tests ${tests[@]/#/src/test/}"
+	for i in "${tests[@]}"; do
+		local t="src/test/${i}"
+		einfo "rust_src_test: running ${t}"
+		if ! (
+				IFS=$'\n'
+				env $(cat "${S}"/config.env) RUST_BACKTRACE=1 \
+				"${EPYTHON}" ./x.py test -vv --config="${S}"/config.toml \
+				-j$(makeopts_jobs) --no-doc --no-fail-fast "${t}"
+			)
+		then
+				failed+=( "${t}" )
+				eerror "rust_src_test: ${t} failed"
+		fi
+	done
+
+	if [[ ${#failed[@]} -ne 0 ]]; then
+		eerror "rust_src_test: failure summary: ${failed[@]}"
+		die "aborting due to test failures"
+	fi
+}
+
+src_install() {
+	# https://github.com/rust-lang/rust/issues/77721
+	# also 1.46.0-don-t-create-prefix-at-time-of-check.patch
+	dodir "/usr/lib/${PN}/${PV}"
+	(
+	IFS=$'\n'
+	env $(cat "${S}"/config.env) DESTDIR="${D}" \
+		"${EPYTHON}" ./x.py install -vv --config="${S}"/config.toml || die
+	)
+
+	# bug #689562, #689160
+	rm -v "${D}/usr/lib/${PN}/${PV}/etc/bash_completion.d/cargo" || die
+	rmdir -v "${D}/usr/lib/${PN}/${PV}"/etc{/bash_completion.d,} || die
+	dobashcomp build/tmp/dist/cargo-image/etc/bash_completion.d/cargo
+
+	local symlinks=(
+		cargo
+		rustc
+		rustdoc
+		rust-gdb
+		rust-gdbgui
+		rust-lldb
+	)
+
+	use clippy && symlinks+=( clippy-driver cargo-clippy )
+	use miri && symlinks+=( miri cargo-miri )
+	use rls && symlinks+=( rls )
+	use rustfmt && symlinks+=( rustfmt cargo-fmt )
+
+	einfo "installing eselect-rust symlinks and paths: ${symlinks[@]}"
+	local i
+	for i in "${symlinks[@]}"; do
+		# we need realpath on /usr/bin/* symlink return version-appended binary path.
+		# so /usr/bin/rustc should point to /usr/lib/rust/<ver>/bin/rustc-<ver>
+		# need to fix eselect-rust to remove this hack.
+		local ver_i="${i}-${PV}"
+		if [[ -f "${ED}/usr/lib/${PN}/${PV}/bin/${i}" ]]; then
+			einfo "Installing ${i} symlink"
+			ln -v "${ED}/usr/lib/${PN}/${PV}/bin/${i}" "${ED}/usr/lib/${PN}/${PV}/bin/${ver_i}" || die
+		else
+			ewarn "${i} symlink requested, but source file not found"
+			ewarn "please report this"
+		fi
+		dosym "../lib/${PN}/${PV}/bin/${ver_i}" "/usr/bin/${ver_i}"
+	done
+
+	# symlinks to switch components to active rust in eselect
+	dosym "${PV}/lib" "/usr/lib/${PN}/lib-${PV}"
+	dosym "${PV}/share/man" "/usr/lib/${PN}/man-${PV}"
+	dosym "rust/${PV}/lib/rustlib" "/usr/lib/rustlib-${PV}"
+	dosym "../../lib/${PN}/${PV}/share/doc/rust" "/usr/share/doc/${P}"
+
+	newenvd - "50${P}" <<-_EOF_
+		LDPATH="${EPREFIX}/usr/lib/rust/lib"
+		MANPATH="${EPREFIX}/usr/lib/rust/man"
+		$(usex elibc_musl 'CARGO_TARGET_X86_64_UNKNOWN_LINUX_MUSL_RUSTFLAGS="-C target-feature=-crt-static"' '')
+	_EOF_
+
+	rm -rf "${ED}/usr/lib/${PN}/${PV}"/*.old || die
+	rm -rf "${ED}/usr/lib/${PN}/${PV}/doc"/*.old || die
+
+	# note: eselect-rust adds EROOT to all paths below
+	cat <<-_EOF_ > "${T}/provider-${P}"
+		/usr/bin/cargo
+		/usr/bin/rustdoc
+		/usr/bin/rust-gdb
+		/usr/bin/rust-gdbgui
+		/usr/bin/rust-lldb
+		/usr/lib/rustlib
+		/usr/lib/rust/lib
+		/usr/lib/rust/man
+		/usr/share/doc/rust
+	_EOF_
+
+	if use clippy; then
+		echo /usr/bin/clippy-driver >> "${T}/provider-${P}"
+		echo /usr/bin/cargo-clippy >> "${T}/provider-${P}"
+	fi
+	if use miri; then
+		echo /usr/bin/miri >> "${T}/provider-${P}"
+		echo /usr/bin/cargo-miri >> "${T}/provider-${P}"
+	fi
+	if use rls; then
+		echo /usr/bin/rls >> "${T}/provider-${P}"
+	fi
+	if use rustfmt; then
+		echo /usr/bin/rustfmt >> "${T}/provider-${P}"
+		echo /usr/bin/cargo-fmt >> "${T}/provider-${P}"
+	fi
+
+	insinto /etc/env.d/rust
+	doins "${T}/provider-${P}"
+}
+
+pkg_postinst() {
+	eselect rust update
+
+	if has_version sys-devel/gdb || has_version dev-util/lldb; then
+		elog "Rust installs a helper script for calling GDB and LLDB,"
+		elog "for your convenience it is installed under /usr/bin/rust-{gdb,lldb}-${PV}."
+	fi
+
+	if has_version app-editors/emacs; then
+		elog "install app-emacs/rust-mode to get emacs support for rust."
+	fi
+
+	if has_version app-editors/gvim || has_version app-editors/vim; then
+		elog "install app-vim/rust-vim to get vim support for rust."
+	fi
+}
+
+pkg_postrm() {
+	eselect rust cleanup
+}


             reply	other threads:[~2020-11-25 20:17 UTC|newest]

Thread overview: 467+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-25 20:17 Georgy Yakovlev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-06 11:27 [gentoo-commits] repo/gentoo:master commit in: dev-lang/rust/ Sam James
2024-10-25 12:01 Arthur Zamarin
2024-10-23 21:13 Arthur Zamarin
2024-10-23 21:13 Arthur Zamarin
2024-10-18  9:52 Arthur Zamarin
2024-10-17  6:27 Arthur Zamarin
2024-10-17  6:27 Arthur Zamarin
2024-10-17  6:27 Arthur Zamarin
2024-10-17  6:27 Arthur Zamarin
2024-09-18  2:56 Sam James
2024-09-14  6:57 Arthur Zamarin
2024-09-14  6:39 Arthur Zamarin
2024-09-14  6:39 Arthur Zamarin
2024-09-14  6:39 Arthur Zamarin
2024-09-14  6:39 Arthur Zamarin
2024-09-14  6:39 Arthur Zamarin
2024-09-14  6:39 Arthur Zamarin
2024-09-14  6:39 Arthur Zamarin
2024-09-10 16:50 Arthur Zamarin
2024-09-02 19:20 Arthur Zamarin
2024-08-26 11:31 Arthur Zamarin
2024-08-14 12:40 Joonas Niilola
2024-07-23  5:55 Sam James
2024-07-23  5:55 Sam James
2024-07-23  5:55 Sam James
2024-07-23  5:55 Sam James
2024-07-23  5:55 Sam James
2024-07-23  5:55 Sam James
2024-07-23  5:55 Sam James
2024-06-27 15:09 Arthur Zamarin
2024-06-25  2:47 Sam James
2024-05-16 14:50 Arthur Zamarin
2024-05-01  5:28 Joonas Niilola
2024-04-28 17:56 Arthur Zamarin
2024-04-28 17:56 Arthur Zamarin
2024-04-28 17:56 Arthur Zamarin
2024-04-10 17:57 Arthur Zamarin
2024-04-10 17:57 Arthur Zamarin
2024-04-04  1:07 Sam James
2024-03-29  4:29 Sam James
2024-03-27 18:37 Arthur Zamarin
2024-03-27 18:37 Arthur Zamarin
2024-03-22 13:15 Arthur Zamarin
2024-03-22 13:15 Arthur Zamarin
2024-03-22 13:15 Arthur Zamarin
2024-03-21  2:24 Sam James
2024-03-09  2:56 WANG Xuerui
2024-03-04  7:09 Sam James
2024-03-04  7:09 Sam James
2024-02-10  4:49 Sam James
2024-02-10  4:49 Sam James
2024-01-08 17:29 Sam James
2023-12-29 16:03 Arthur Zamarin
2023-12-08 11:36 Sam James
2023-12-08 11:36 Sam James
2023-11-09 21:19 Arthur Zamarin
2023-11-07 17:27 Arthur Zamarin
2023-11-07 17:27 Arthur Zamarin
2023-11-07 17:27 Arthur Zamarin
2023-10-07  8:46 WANG Xuerui
2023-10-03 19:30 Sam James
2023-09-17 12:10 Arthur Zamarin
2023-09-13 17:23 Matt Turner
2023-09-13 16:15 Sam James
2023-09-13 16:15 Sam James
2023-08-28  6:54 WANG Xuerui
2023-08-25  4:52 Arthur Zamarin
2023-06-24  2:59 Sam James
2023-06-07 22:05 Georgy Yakovlev
2023-06-07 22:05 Georgy Yakovlev
2023-06-07 22:05 Georgy Yakovlev
2023-06-07 22:05 Georgy Yakovlev
2023-06-03  5:24 Jakov Smolić
2023-06-03  3:23 Sam James
2023-06-03  3:23 Sam James
2023-06-03  0:52 Sam James
2023-06-02  3:06 Georgy Yakovlev
2023-06-02  3:06 Georgy Yakovlev
2023-04-24 21:36 Georgy Yakovlev
2023-04-20 22:16 Georgy Yakovlev
2023-04-05 23:31 Georgy Yakovlev
2023-03-23 23:24 Georgy Yakovlev
2023-03-23 23:24 Georgy Yakovlev
2023-02-26 18:23 Arthur Zamarin
2023-02-26 18:23 Arthur Zamarin
2023-02-09 20:36 Georgy Yakovlev
2023-01-28 19:34 Georgy Yakovlev
2023-01-28  6:28 Georgy Yakovlev
2023-01-17 18:55 Arthur Zamarin
2023-01-13 14:50 Sam James
2023-01-12 17:54 Georgy Yakovlev
2023-01-12  0:53 Sam James
2023-01-12  0:20 Sam James
2023-01-11 20:53 Georgy Yakovlev
2023-01-11 20:46 Georgy Yakovlev
2023-01-11 20:46 Georgy Yakovlev
2022-12-20  7:24 Georgy Yakovlev
2022-12-20  7:12 Georgy Yakovlev
2022-12-05 21:37 Georgy Yakovlev
2022-12-03 16:07 Arthur Zamarin
2022-11-25 23:02 Georgy Yakovlev
2022-11-18 18:07 Arthur Zamarin
2022-11-17 15:14 Sam James
2022-11-17 15:14 Sam James
2022-11-17 15:14 Sam James
2022-11-17 15:14 Sam James
2022-11-13 19:14 Georgy Yakovlev
2022-11-11  2:36 Georgy Yakovlev
2022-11-11  2:36 Georgy Yakovlev
2022-11-11  2:36 Georgy Yakovlev
2022-11-05  5:57 Georgy Yakovlev
2022-11-04 20:42 Georgy Yakovlev
2022-10-20 18:19 Georgy Yakovlev
2022-10-13  6:58 Agostino Sarubbo
2022-10-13  6:57 Agostino Sarubbo
2022-10-13  6:54 Agostino Sarubbo
2022-10-13  6:53 Agostino Sarubbo
2022-10-12 19:22 Sam James
2022-10-11 18:47 Georgy Yakovlev
2022-10-06 22:19 Georgy Yakovlev
2022-10-06 22:15 Georgy Yakovlev
2022-10-06 21:40 Sam James
2022-10-06 16:10 Sam James
2022-09-27 20:32 Georgy Yakovlev
2022-09-25 17:44 Georgy Yakovlev
2022-09-25 17:35 Georgy Yakovlev
2022-09-25 17:28 Georgy Yakovlev
2022-09-23 19:40 Georgy Yakovlev
2022-09-23  4:59 Georgy Yakovlev
2022-09-23  3:34 Georgy Yakovlev
2022-09-23  3:34 Georgy Yakovlev
2022-09-23  0:05 Sam James
2022-09-16  0:46 Georgy Yakovlev
2022-09-16  0:46 Georgy Yakovlev
2022-09-16  0:46 Georgy Yakovlev
2022-09-15  3:15 Georgy Yakovlev
2022-08-02  7:18 Agostino Sarubbo
2022-07-29 18:24 Georgy Yakovlev
2022-07-28  7:07 Agostino Sarubbo
2022-07-27 20:09 Sam James
2022-07-27  7:54 Agostino Sarubbo
2022-07-26 18:41 Sam James
2022-07-26 18:41 Sam James
2022-07-21 21:00 Georgy Yakovlev
2022-07-01 19:32 Georgy Yakovlev
2022-07-01 19:32 Georgy Yakovlev
2022-07-01 19:32 Georgy Yakovlev
2022-07-01 19:32 Georgy Yakovlev
2022-07-01 19:32 Georgy Yakovlev
2022-06-25  5:40 Sam James
2022-06-10  6:48 Agostino Sarubbo
2022-06-09  7:39 Agostino Sarubbo
2022-06-09  7:36 Agostino Sarubbo
2022-06-07 19:50 Sam James
2022-06-07 18:47 Georgy Yakovlev
2022-06-01  3:11 Georgy Yakovlev
2022-05-31 17:45 Georgy Yakovlev
2022-05-26 21:45 Georgy Yakovlev
2022-05-26 16:36 Georgy Yakovlev
2022-05-24 19:44 Georgy Yakovlev
2022-05-24 18:09 Georgy Yakovlev
2022-05-24 17:07 Georgy Yakovlev
2022-05-24 17:07 Georgy Yakovlev
2022-04-20 17:02 Arthur Zamarin
2022-04-20  6:38 Agostino Sarubbo
2022-04-20  6:36 Agostino Sarubbo
2022-04-19 16:43 Arthur Zamarin
2022-04-19 16:43 Arthur Zamarin
2022-04-08 20:56 Georgy Yakovlev
2022-04-08  5:25 Georgy Yakovlev
2022-04-08  5:25 Georgy Yakovlev
2022-03-04  6:12 Georgy Yakovlev
2022-01-22  0:48 Sam James
2022-01-21 11:17 Jakov Smolić
2022-01-21  9:43 Georgy Yakovlev
2022-01-21  1:17 Georgy Yakovlev
2022-01-21  1:17 Georgy Yakovlev
2022-01-21  0:11 Georgy Yakovlev
2022-01-20 22:03 Georgy Yakovlev
2022-01-20  4:36 Georgy Yakovlev
2022-01-14  1:20 Georgy Yakovlev
2022-01-13 21:37 Georgy Yakovlev
2022-01-13 21:37 Georgy Yakovlev
2021-12-26  0:41 Georgy Yakovlev
2021-12-26  0:41 Georgy Yakovlev
2021-12-25 17:11 Arthur Zamarin
2021-12-08  0:10 Georgy Yakovlev
2021-12-06 23:02 Georgy Yakovlev
2021-11-13  2:58 Sam James
2021-11-12 22:54 Sam James
2021-11-12 20:53 Sam James
2021-11-12 20:01 Georgy Yakovlev
2021-11-11 18:18 Georgy Yakovlev
2021-11-02 21:05 Georgy Yakovlev
2021-11-01 21:25 Georgy Yakovlev
2021-11-01 21:25 Georgy Yakovlev
2021-11-01 21:25 Georgy Yakovlev
2021-10-21 23:47 Georgy Yakovlev
2021-10-21 21:05 Georgy Yakovlev
2021-10-07 15:58 Georgy Yakovlev
2021-10-07 15:48 Georgy Yakovlev
2021-09-30  3:47 Georgy Yakovlev
2021-09-07  0:09 Sam James
2021-08-05  5:37 Georgy Yakovlev
2021-08-05  5:37 Georgy Yakovlev
2021-07-31 13:40 Michał Górny
2021-07-31  4:14 Sam James
2021-07-29  4:34 Georgy Yakovlev
2021-07-27 20:55 Sam James
2021-07-27 20:55 Sam James
2021-06-27  5:20 Sam James
2021-06-27  5:20 Sam James
2021-06-19 11:16 Georgy Yakovlev
2021-06-18 20:37 Georgy Yakovlev
2021-06-18 19:22 Georgy Yakovlev
2021-06-18 10:34 Georgy Yakovlev
2021-06-18  9:16 Georgy Yakovlev
2021-06-18  0:44 Georgy Yakovlev
2021-06-17  7:23 Agostino Sarubbo
2021-06-16  6:53 Agostino Sarubbo
2021-06-16  6:52 Agostino Sarubbo
2021-06-01 22:20 Georgy Yakovlev
2021-06-01  2:14 Mike Frysinger
2021-05-31  6:56 Georgy Yakovlev
2021-05-13 15:07 Yixun Lan
2021-05-10 15:58 Georgy Yakovlev
2021-05-10 15:58 Georgy Yakovlev
2021-05-06 21:21 Georgy Yakovlev
2021-05-05 20:16 Georgy Yakovlev
2021-05-04 23:14 Georgy Yakovlev
2021-04-27 17:57 Georgy Yakovlev
2021-04-27 11:55 Georgy Yakovlev
2021-04-27 11:55 Georgy Yakovlev
2021-04-27 11:55 Georgy Yakovlev
2021-04-27 11:55 Georgy Yakovlev
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-04-23  0:42 Georgy Yakovlev
2021-04-22 20:22 Sam James
2021-04-22 20:15 Sam James
2021-04-18 20:47 Georgy Yakovlev
2021-04-18 20:47 Georgy Yakovlev
2021-04-18 11:27 Georgy Yakovlev
2021-04-18 11:20 Georgy Yakovlev
2021-04-18 10:58 Georgy Yakovlev
2021-04-03 22:10 Georgy Yakovlev
2021-02-24 23:08 Sam James
2021-02-24 23:08 Sam James
2021-02-11 23:49 Georgy Yakovlev
2021-02-02 23:52 Georgy Yakovlev
2020-12-21 12:22 Benda XU
2020-12-16 20:49 Georgy Yakovlev
2020-11-28  7:06 Georgy Yakovlev
2020-11-28  7:06 Georgy Yakovlev
2020-11-27 16:34 Agostino Sarubbo
2020-11-27 16:04 Agostino Sarubbo
2020-11-26 19:19 Georgy Yakovlev
2020-11-26  0:29 Thomas Deutschmann
2020-11-25 21:00 Georgy Yakovlev
2020-11-25 20:17 Georgy Yakovlev
2020-11-24 17:34 Georgy Yakovlev
2020-11-24  5:22 Georgy Yakovlev
2020-11-24  0:41 Georgy Yakovlev
2020-11-24  0:41 Georgy Yakovlev
2020-11-15 20:17 Georgy Yakovlev
2020-10-13  4:14 Georgy Yakovlev
2020-10-13  4:02 Georgy Yakovlev
2020-10-13  4:02 Georgy Yakovlev
2020-10-13  4:02 Georgy Yakovlev
2020-10-09  9:34 Georgy Yakovlev
2020-10-09  8:41 Agostino Sarubbo
2020-10-09  8:31 Agostino Sarubbo
2020-10-08 14:24 Sam James
2020-10-07  8:21 Georgy Yakovlev
2020-10-07  8:21 Georgy Yakovlev
2020-10-07  8:21 Georgy Yakovlev
2020-10-07  6:58 Georgy Yakovlev
2020-10-07  6:58 Georgy Yakovlev
2020-09-02  1:04 Sam James
2020-08-29 17:57 Thomas Deutschmann
2020-08-29  4:12 Sam James
2020-08-28 23:39 Sam James
2020-08-27 18:28 Georgy Yakovlev
2020-08-27 18:28 Georgy Yakovlev
2020-08-24 23:02 Georgy Yakovlev
2020-08-24 23:02 Georgy Yakovlev
2020-08-04 23:44 Georgy Yakovlev
2020-08-03 23:27 Georgy Yakovlev
2020-08-03 20:14 Georgy Yakovlev
2020-07-31  9:22 Georgy Yakovlev
2020-07-24 23:36 Georgy Yakovlev
2020-07-19  1:47 Sam James
2020-07-17 15:17 Agostino Sarubbo
2020-07-17 15:12 Agostino Sarubbo
2020-07-17 15:05 Agostino Sarubbo
2020-07-17 10:42 Sam James
2020-07-17  6:36 Georgy Yakovlev
2020-07-15 22:20 Georgy Yakovlev
2020-07-09  3:56 Georgy Yakovlev
2020-06-18 23:53 Georgy Yakovlev
2020-06-18 23:53 Georgy Yakovlev
2020-06-12 21:37 Georgy Yakovlev
2020-06-12 17:42 Georgy Yakovlev
2020-06-12 17:24 Georgy Yakovlev
2020-06-12  6:50 Georgy Yakovlev
2020-06-12  0:31 Georgy Yakovlev
2020-06-07  8:44 Agostino Sarubbo
2020-06-06 20:27 Georgy Yakovlev
2020-06-06 18:10 Agostino Sarubbo
2020-06-06 17:34 Agostino Sarubbo
2020-06-05  9:25 Georgy Yakovlev
2020-06-05  4:27 Georgy Yakovlev
2020-06-05  1:43 Georgy Yakovlev
2020-05-31 10:16 Georgy Yakovlev
2020-05-08  7:01 Georgy Yakovlev
2020-04-25  6:13 Georgy Yakovlev
2020-04-19  2:35 Craig Andrews
2020-03-30 22:23 Georgy Yakovlev
2020-03-30 22:23 Georgy Yakovlev
2020-03-30  7:23 Georgy Yakovlev
2020-03-19  4:56 Georgy Yakovlev
2020-03-19  4:56 Georgy Yakovlev
2020-03-13  6:45 Georgy Yakovlev
2020-03-13  6:45 Georgy Yakovlev
2020-03-09  8:11 Mart Raudsepp
2020-03-03 21:48 Georgy Yakovlev
2020-03-03 15:13 Agostino Sarubbo
2020-03-03 14:37 Agostino Sarubbo
2020-02-29  7:46 Georgy Yakovlev
2020-02-11 18:48 Georgy Yakovlev
2020-02-11 12:46 Agostino Sarubbo
2020-02-11 11:09 Agostino Sarubbo
2020-02-05 21:26 Georgy Yakovlev
2020-02-01 11:48 Georgy Yakovlev
2020-01-30 20:38 Georgy Yakovlev
2020-01-30 19:24 Georgy Yakovlev
2020-01-29  7:51 Georgy Yakovlev
2019-12-31 22:55 Georgy Yakovlev
2019-12-30 19:20 Georgy Yakovlev
2019-12-30 19:20 Georgy Yakovlev
2019-12-30 10:14 Georgy Yakovlev
2019-12-24 15:02 Mikle Kolyada
2019-12-24 15:02 Mikle Kolyada
2019-12-21 15:09 Ulrich Müller
2019-12-21 11:00 Georgy Yakovlev
2019-12-20  0:53 Georgy Yakovlev
2019-12-20  0:53 Georgy Yakovlev
2019-12-13 23:05 Georgy Yakovlev
2019-12-12  0:40 Georgy Yakovlev
2019-11-07 23:00 Georgy Yakovlev
2019-10-07 23:09 Aaron Bauman
2019-10-06 21:18 Thomas Deutschmann
2019-10-03 11:38 Agostino Sarubbo
2019-09-29 21:00 Sergei Trofimovich
2019-09-27 20:04 Georgy Yakovlev
2019-09-26 23:34 Georgy Yakovlev
2019-08-16  5:45 Georgy Yakovlev
2019-08-16  2:44 Georgy Yakovlev
2019-06-19  0:35 Georgy Yakovlev
2019-06-06  5:57 Georgy Yakovlev
2019-06-06  5:57 Georgy Yakovlev
2019-05-29  1:09 Aaron Bauman
2019-05-27  0:13 Georgy Yakovlev
2019-05-27  0:13 Georgy Yakovlev
2019-05-26 14:56 Stefan Strogin
2019-05-24  9:06 Georgy Yakovlev
2019-05-17  0:15 Georgy Yakovlev
2019-05-16 23:56 Thomas Deutschmann
2019-05-15 14:54 Mikle Kolyada
2019-05-14 18:19 Georgy Yakovlev
2019-05-13 13:01 Thomas Deutschmann
2019-05-12 19:29 Thomas Deutschmann
2019-05-11 11:05 Mikle Kolyada
2019-04-26  4:48 Georgy Yakovlev
2019-04-15 19:42 Georgy Yakovlev
2019-04-14  9:22 Fabian Groffen
2019-04-12  4:08 Georgy Yakovlev
2019-03-22  4:31 Georgy Yakovlev
2019-03-15 20:33 Thomas Deutschmann
2019-03-15  0:07 Thomas Deutschmann
2019-03-10  8:51 Georgy Yakovlev
2019-03-10  8:47 Georgy Yakovlev
2019-02-24 23:21 James Le Cuirot
2019-02-19  1:24 Thomas Deutschmann
2019-02-19  1:24 Thomas Deutschmann
2019-01-19 11:37 Georgy Yakovlev
2019-01-18 19:40 Patrick McLean
2019-01-18  1:19 Patrick McLean
2018-12-25 19:44 Sergei Trofimovich
2018-12-25 19:44 Sergei Trofimovich
2018-12-21  1:05 Patrick McLean
2018-12-08 20:05 Patrick McLean
2018-11-20 20:17 Dirkjan Ochtman
2018-11-19 16:42 Dirkjan Ochtman
2018-11-15 16:05 Dirkjan Ochtman
2018-11-15  9:29 Dirkjan Ochtman
2018-11-15  1:20 Thomas Deutschmann
2018-10-28 21:24 Dirkjan Ochtman
2018-10-05 13:11 Dirkjan Ochtman
2018-10-04  7:59 Mikle Kolyada
2018-10-03 18:58 Mart Raudsepp
2018-10-03 14:43 Dirkjan Ochtman
2018-10-01  0:07 Thomas Deutschmann
2018-09-29 19:15 Dirkjan Ochtman
2018-09-29 13:22 Dirkjan Ochtman
2018-09-09  7:59 Mikle Kolyada
2018-08-07  8:05 Dirkjan Ochtman
2018-08-04 12:16 Dirkjan Ochtman
2018-07-14 16:36 Dirkjan Ochtman
2018-07-13 20:07 Dirkjan Ochtman
2018-07-13  9:15 Mikhail Pukhlikov
2018-06-11 12:08 Dirkjan Ochtman
2018-06-07  0:55 Patrick McLean
2018-06-06 13:20 Dirkjan Ochtman
2018-05-30 11:48 Mikhail Pukhlikov
2018-05-28  7:43 Mikhail Pukhlikov
2018-05-25 11:40 Mikhail Pukhlikov
2018-05-24 15:32 Mikhail Pukhlikov
2018-05-19  8:06 Dirkjan Ochtman
2018-05-16 12:22 Agostino Sarubbo
2018-05-15  1:46 Thomas Deutschmann
2018-05-14 14:41 Dirkjan Ochtman
2018-04-11 16:19 Michał Górny
2018-04-11 13:05 Dirkjan Ochtman
2018-02-28 22:22 Michał Górny
2018-02-18 17:20 Patrice Clement
2018-02-18 17:20 Patrice Clement
2018-01-31  9:56 Lars Wendler
2018-01-29 19:16 Dirkjan Ochtman
2018-01-22 16:36 Dirkjan Ochtman
2017-09-07  1:45 Doug Goldstein
2017-07-24 14:07 Dirkjan Ochtman
2017-07-24 13:36 Dirkjan Ochtman
2017-03-19  1:56 William Hubbs
2017-03-18 10:42 Dirkjan Ochtman
2017-03-18 10:42 Dirkjan Ochtman
2017-03-07 16:35 Michał Górny
2017-02-09 23:18 Patrick McLean
2017-02-08 22:33 Patrick McLean
2016-12-27 15:45 Dirkjan Ochtman
2016-11-19 20:39 Dirkjan Ochtman
2016-11-02 14:12 Doug Goldstein
2016-10-31 14:03 Doug Goldstein
2016-10-25  0:05 Doug Goldstein
2016-10-24  5:27 Doug Goldstein
2016-10-21 12:00 Dirkjan Ochtman
2016-09-30  9:32 Dirkjan Ochtman
2016-09-30  6:50 Dirkjan Ochtman
2016-08-22 20:17 Dirkjan Ochtman
2016-07-08 10:10 Dirkjan Ochtman
2016-07-08 10:10 Dirkjan Ochtman
2016-06-22 13:50 Doug Goldstein
2016-04-14 20:19 Doug Goldstein
2016-04-11  3:45 Doug Goldstein
2016-04-07 16:07 Doug Goldstein
2016-03-30 15:52 Doug Goldstein
2016-03-30 15:32 Doug Goldstein
2016-03-28  0:15 Doug Goldstein
2016-03-26 14:49 Doug Goldstein
2016-03-26 14:20 Doug Goldstein
2016-03-24 14:21 Doug Goldstein
2016-03-22 18:24 Doug Goldstein
2016-01-01 21:44 Jauhien Piatlicki
2015-09-27 18:15 Jauhien Piatlicki
2015-09-07 16:57 Jauhien Piatlicki
2015-08-17 22:12 Jauhien Piatlicki

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1606335194.e0899133bf373f531be502ed292a86e16a7b6347.gyakovlev@gentoo \
    --to=gyakovlev@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox